CVE-2006-0989
CVSS9.0
发布时间 :2006-03-27 19:06:00
修订时间 :2011-03-07 21:31:32
NMCOS    

[原文]Stack-based buffer overflow in the volume manager daemon (vmd) in Veritas NetBackup Enterprise Server 5.0 through 6.0 and DataCenter and BusinesServer 4.5FP and 4.5MP allows attackers to execute arbitrary code via unknown vectors.


[CNNVD]VERITAS NetBackup多个远程缓冲区溢出漏洞(CNNVD-200603-423)

        在Veritas NetBackup企业服务器5.0至6.0版和DataCenter版和BusinesServer 4.5FP和4.5MP版的卷管理器守护程序(vmd)中,存在基于堆栈的缓冲区溢出,攻击者可通过不明向量执行任意代码。

- CVSS (基础分值)

CVSS分值: 9 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:veritas:netbackup:6.0::server
cpe:/a:veritas:netbackup:6.0::enterprise_server
cpe:/a:veritas:netbackup:5.0::server
cpe:/a:veritas:netbackup:5.0::enterprise_server
cpe:/a:veritas:netbackup:4.5.0:mp:datacenter
cpe:/a:veritas:netbackup:4.5.0:fp:businessserver
cpe:/a:veritas:netbackup:5.1::enterprise_server
cpe:/a:veritas:netbackup:5.1::server
cpe:/a:veritas:netbackup:4.5.0:mp:businessserver
cpe:/a:veritas:netbackup:4.5.0:fp:datacenter

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0989
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0989
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-423
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/880801
(UNKNOWN)  CERT-VN  VU#880801
http://www.zerodayinitiative.com/advisories/ZDI-06-005.html
(UNKNOWN)  MISC  http://www.zerodayinitiative.com/advisories/ZDI-06-005.html
http://www.vupen.com/english/advisories/2006/1124
(UNKNOWN)  VUPEN  ADV-2006-1124
http://seer.support.veritas.com/docs/281521.htm
(VENDOR_ADVISORY)  CONFIRM  http://seer.support.veritas.com/docs/281521.htm
http://securityresponse.symantec.com/avcenter/security/Content/2006.03.27.html
(UNKNOWN)  CONFIRM  http://securityresponse.symantec.com/avcenter/security/Content/2006.03.27.html
http://xforce.iss.net/xforce/xfdb/25471
(UNKNOWN)  XF  netbackup-vmd-sscanf-bo(25471)
http://www.securityfocus.com/bid/17264
(UNKNOWN)  BID  17264
http://www.securityfocus.com/archive/1/archive/1/428944/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060327 ZDI-06-005: Symantec VERITAS NetBackup Volume Manager Buffer Overflow
http://www.osvdb.org/24172
(UNKNOWN)  OSVDB  24172
http://securitytracker.com/id?1015832
(UNKNOWN)  SECTRACK  1015832
http://securityreason.com/securityalert/639
(UNKNOWN)  SREASON  639

- 漏洞信息

VERITAS NetBackup多个远程缓冲区溢出漏洞
高危 缓冲区溢出
2006-03-27 00:00:00 2006-03-27 00:00:00
远程  
        在Veritas NetBackup企业服务器5.0至6.0版和DataCenter版和BusinesServer 4.5FP和4.5MP版的卷管理器守护程序(vmd)中,存在基于堆栈的缓冲区溢出,攻击者可通过不明向量执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,厂商发布了相关更新。

- 漏洞信息

24172
VERITAS NetBackup Volume Manager Daemon (vmd.exe) Unspecified Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity Patch / RCS
Exploit Private, Exploit Commercial Vendor Verified

- 漏洞描述

A remote overflow exists in NetBackup Enterprise Server. Netbackup fails to perform adequate bounds checking during a call to the sscanf() function which copies user-supplied data resulting in a stack-based buffer overflow. With a specially crafted request, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2006-03-27 2005-12-20
2006-04-05 2006-03-27

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, the vendor has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

VERITAS NetBackup Multiple Remote Buffer Overflow Vulnerabilities
Boundary Condition Error 17264
Yes No
2006-03-27 12:00:00 2006-03-28 04:18:00
Discovery is credited to 3Com.

- 受影响的程序版本

Veritas Software NetBackup Enterprise Server 6.0
Veritas Software NetBackup Enterprise Server 5.1
Veritas Software NetBackup Enterprise Server 5.0
Veritas Software NetBackup DataCenter 4.5 MP
Veritas Software NetBackup DataCenter 4.5 FP
Veritas Software NetBackup BusinesServer 4.5 MP
Veritas Software NetBackup BusinesServer 4.5 FP

- 漏洞讨论

Various daemons running in VERITAS NetBackup are prone to buffer-overflow vulnerabilities.

Specifically, the vulnerabilities affect the volume manager daemon ('vmd'), the NetBackup Catalog daemon ('bpdbm'), and the NetBackup Sharepoint Services server daemon ('bpspsserver').

A successful attack may allow remote attackers to execute arbitrary code on a vulnerable computer to gain unauthorized access in the context of the application.

These issues affect various versions of NetBackup servers and clients.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 解决方案


Symantec has released an advisory with fixes to address this issue. Please see the references for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站